curl --request GET \
--url 'https://api.nsr.stateset.com/api/v1/nsr/stats' \
--header "X-API-Key: $STATESET_NSR_API_KEY"
{
"config": {
"embedding_dim": 1,
"hidden_size": 1,
"max_program_depth": 1,
"max_seq_len": 1,
"synthesis_enabled": true
},
"enabled_features": [
"string"
],
"programs_learned": 1,
"successful_inferences": 1,
"training_examples": 1,
"vocabulary_size": 1
}
Get NSR Machine statistics
Returns comprehensive statistics about the NSR Machine, including training metrics, vocabulary size, enabled features, and configuration summary…
GET
/
api
/
v1
/
nsr
/
stats
curl --request GET \
--url 'https://api.nsr.stateset.com/api/v1/nsr/stats' \
--header "X-API-Key: $STATESET_NSR_API_KEY"
{
"config": {
"embedding_dim": 1,
"hidden_size": 1,
"max_program_depth": 1,
"max_seq_len": 1,
"synthesis_enabled": true
},
"enabled_features": [
"string"
],
"programs_learned": 1,
"successful_inferences": 1,
"training_examples": 1,
"vocabulary_size": 1
}
Returns comprehensive statistics about the NSR Machine, including training
metrics, vocabulary size, enabled features, and configuration summary.
Example
Required scope:
curl -X GET 'https://api.nsr.stateset.com/api/v1/nsr/stats' \
-H 'X-API-Key: your-api-key'
read
Response
NSRStatsResponse
NSRConfigSummary
required
string[]
required
Enabled features
integer
required
Programs learned
integer
required
Successful inferences
integer
required
Training examples processed
integer
required
Vocabulary size
Status codes
| Code | Meaning |
|---|---|
200 | NSR Machine statistics |
401 | Unauthorized — missing or invalid credentials |
403 | Forbidden — the key/token lacks the required scope |
429 | Rate limited — see Retry-After / X-RateLimit-Reset |
curl --request GET \
--url 'https://api.nsr.stateset.com/api/v1/nsr/stats' \
--header "X-API-Key: $STATESET_NSR_API_KEY"
{
"config": {
"embedding_dim": 1,
"hidden_size": 1,
"max_program_depth": 1,
"max_seq_len": 1,
"synthesis_enabled": true
},
"enabled_features": [
"string"
],
"programs_learned": 1,
"successful_inferences": 1,
"training_examples": 1,
"vocabulary_size": 1
}
Last modified on August 31, 2026